Download it now!
Bug 128245 - FILEOPEN - Incompatibility with opening .docx files created using Apple Pages
Summary: FILEOPEN - Incompatibility with opening .docx files created using Apple Pages
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: DOCX-Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2019-10-19 01:32 UTC by 2kittens4you
Modified: 2020-05-13 16:06 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Document exported from Pages (8.08 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-10-19 01:35 UTC, 2kittens4you
Details
Screen shot of Pages with the correct formatting (184.64 KB, image/png)
2019-10-19 01:36 UTC, 2kittens4you
Details
Screen shot of LibreOffice with incorrect formatting (168.95 KB, image/png)
2019-10-19 01:39 UTC, 2kittens4you
Details
Screenshot of the document in Word and current Writer master (123.18 KB, image/png)
2019-10-21 11:53 UTC, NISZ LibreOffice Team
Details
How it looks in LibreOffice 7.0 master (141.29 KB, image/png)
2020-05-06 08:45 UTC, Xisco Faulí
Details
The example file in Word and current Writer master (145.19 KB, image/png)
2020-05-13 07:11 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description 2kittens4you 2019-10-19 01:32:24 UTC
Description:
A ".docx" file which contains 2 separate numbered lists exported from Apple Pages will not be formatted properly when opened with LibreOffice.

Steps to Reproduce:
1. On Pages (Mac), I make a numbered list by typing "1:" and then typing something, pressing return, and then typing something else, etc. Every time the "return" key is pressed, it automatically continues the numbering from the first line.
2. I press "return" twice to end that list, and then make a new list by doing the same thing.
3. Export the document as a Word (.docx) file
4. Open the file in LibreOffice

Actual Results:
When this file is exported as a ".docx" file and opened in Microsoft Word, it opens fine. But if the file is opened in LibreOffice, the second list starts with "1:" and then continues the numbering from the first list rather than restarting the numbering (e.g. 1, 4, 5, 6, 7...). Please see the attached ".docx" file to test it out.

If a new document is created in Microsoft Word and 2 lists are created as in Pages, the ".docx" file it creates will open normally in LibreOffice.

Expected Results:
LibreOffice should have formatted the document like Pages and Word, making 2 separate lists rather than continuing the first.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Comment 1 2kittens4you 2019-10-19 01:35:25 UTC
Created attachment 155139 [details]
Document exported from Pages
Comment 2 2kittens4you 2019-10-19 01:36:45 UTC
Created attachment 155140 [details]
Screen shot of Pages with the correct formatting
Comment 3 2kittens4you 2019-10-19 01:39:40 UTC
Created attachment 155141 [details]
Screen shot of LibreOffice with incorrect formatting
Comment 4 NISZ LibreOffice Team 2019-10-21 11:53:10 UTC
Created attachment 155189 [details]
Screenshot of the document in Word and current Writer master

A bit different in: 

Version: 6.4.0.0.alpha1+ (x86)
Build ID: f0340d58cc0f2808ce8003099ff2a0495360f267
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL

Now the second list is not numbered as 1 4 5 6 but 4 5 6 7.
Comment 5 Xisco Faulí 2019-10-23 11:09:32 UTC
Also reproducible in

Versión: 4.1.6.2
Id. de compilación: 40ff705089295be5be0aae9b15123f687c05b0a
Comment 6 Xisco Faulí 2020-05-06 08:45:50 UTC
Created attachment 160416 [details]
How it looks in LibreOffice 7.0 master

In master 2 list is restarted but the consecutive numbers are still wrong

Version: 7.0.0.0.alpha0+
Build ID: 1eb6210d678bbb0c875f0f72b...
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 7 NISZ LibreOffice Team 2020-05-13 07:11:54 UTC
Created attachment 160743 [details]
The example file in Word and current Writer master

Looks fixed in:

Version: 7.0.0.0.alpha1+ (x64)
Build ID: f9790da286f2d2fa47f1748f8cfa6172c6622ca3
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: Skia/Raster; VCL: win; 
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 8 Xisco Faulí 2020-05-13 09:14:04 UTC
Issue fixed by https://cgit.freedesktop.org/libreoffice/core/commit/?id=ef4a739d94800426d205fb6e2cb5c2813771dfd3

@Justin, thanks for fixing this issue!!
Comment 9 Justin L 2020-05-13 10:59:16 UTC
That (pair of) commit(s) should NOT have fixed anything...  It should have been a non-functional change. So likely the fix happened in the month between those two patches (after April 13).

My guess would be commit cf13fe3e6f6a40f6db064d65d4514d13a23a31f0
Author: Vasily Melenchuk on Fri Apr 17 12:58:59 2020 +0300

    tdf#108496: DOCX: redesign of override in lists
    
    List level overrides are not just about numbering,
    it is about numbering restart. Thus some changes to DOCX
    import/export were added.
    
    Improved support for several lists referring the same
    abstract list, especially in situation when one list
    have overrides.
    
    In addition some export cleanup is made: less unnecessary
    list duplications, less level overrides when no properties
    were changed.
    
    Change-Id: Ic7a69bc2e3080b39f5205cb90b46d14247abf305
    Reviewed-on: https://gerrit.libreoffice.org/c/core/+/92412
Comment 10 Commit Notification 2020-05-13 16:06:14 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/18790e6f12d34965292828c17e76b9a200aed2e0

tdf#128245: sw: Add unittest

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.